<?php
header("Cache-Control: no-cache, must-revalidate");
require_once dirname(__FILE__)."/inc.php";
require_once WEB_ROOT.'/sys/fun/fun.temp.php';
if(!isset($get_app))$get_app="index";
if(!$obj_ctl_user->is_login()){
	go_url(WEB_URL."/login.php?app=user_login");
	exit;
}
if($obj_ctl_user->type!="personal" && !$obj_ctl_user->is_admin()){
	$obj_msg->alert("您不是个人会员！");
	$obj_msg->on_history_back();
	exit;
}
if(defined("SYS_USER_REGTYPE") && SYS_USER_REGTYPE==1 && $get_app!="verify" && $get_app!="verify_upload" && !$obj_ctl_user->is_verify(1)){//需要邮箱验证
	$obj_msg->alert("您需要先验证邮箱，才能继续操作");
	$obj_msg->go_url(WEB_URL."/user.php?app=verify");exit;
}

$this_user_id=$obj_ctl_user->id;

$str_temp=str_replace("//","/",$str_temp_path."/user/".$get_app);
$str_temp=temp_load($str_temp);

if(is_file($str_temp)){
	include $str_temp;
}else{
	echo "文件不存在！";
}
?>